<block-ui message="Loading..."></block-ui>
<div class="col-xl-12">
    <div>
        <div class="col-xl-12 d-flex align-items-center mat-panel-header">

            <button *appAccess="moduleName; lookFor: 'C'" (click)="onClick()" mat-raised-button color="accent"
                    class="wide HEL_BOLD_14_16" style="position: absolute; right: 0px;top: 13px;">
                Upload Document
            </button>

            <app-alert [message]="errorMessage" [type]="messageType" id="alert">
            </app-alert>
        </div>

        <input type="file" #fileInput id="fileUpload" name="fileUpload" style="display:none;"
               (click)="fileInput.value = null"/>
        <div class="mt-3" *ngIf="!docShow">
            <kendo-grid [kendoGridBinding]="gridData" [pageSize]="10" [skip]="skip" [pageable]="true" [sortable]="true"
                        [filterable]="true" [groupable]="true" [columnMenu]="true" [reorderable]="true" [sortable]="{
                    allowUnsort: allowUnsort,
                    mode: multiple ? 'multiple' : 'single'
                  }" [sort]="sort" (sortChange)="sortChange($event)" [group]="groups">
                <kendo-grid-column field="uploadedDate" title="Date" [width]="80">
                    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                        {{ dataItem.uploadedDate | date: 'dd-MM-yyyy' }}
                    </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="documentName" title="Doc Name" [width]="80">
                    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
            <span *ngIf="dataItem.status == 1">
              <i class="material-icons">lock_outline</i>
                {{ dataItem.documentName }}
            </span>
                        <span *ngIf="dataItem.status == 0">
              {{ dataItem.documentName }}
            </span>
                    </ng-template>
                </kendo-grid-column>
                <kendo-grid-column title="Doc Type" field="documentTypes" [width]="80"></kendo-grid-column>
                <kendo-grid-column title="Case Name" field="caseName" [width]="80"></kendo-grid-column>
                <kendo-grid-column title="Doc Description" field="note" [width]="80"></kendo-grid-column>
                <kendo-grid-column title="Size" field="size" [width]="80"></kendo-grid-column>
                <kendo-grid-column title="Action" [width]="80">
                    <ng-template kendoGridCellTemplate let-dataItems let-rowIndex="rowIndex">
                        <kendo-dropdownbutton [data]="data">
                            <div (click)="onSplitButtonClick(dataItems)">
                                <span class="k-icon k-i-cog"></span><span class="k-icon k-i-arrow-60-down"></span>
                            </div>
                            <ng-template kendoDropDownButtonItemTemplate let-dataItem>

                                <ng-container *appAccess="moduleName; lookFor: 'E'">
                                    <div *ngIf="dataItem.text == 'Edit'" class="icon-wrapper">
                                        <mat-icon class="icon-class" (click)="onopenform($event)">create</mat-icon>
                                        <div class="border-wrapper">
                                            <span class="icon-text-wrapper">Edit</span>
                                        </div>
                                    </div>
                                </ng-container>

                                <ng-container *appAccess="moduleName; lookFor: 'V'">
                                    <div *ngIf="dataItem.text == 'Preview'" class="icon-wrapper">
                                        <mat-icon class="icon-class" (click)="previewImage($event)">visibility
                                        </mat-icon>
                                        <div class="border-wrapper">
                                            <span class="icon-text-wrapper">Preview</span>
                                        </div>
                                    </div>
                                </ng-container>

                                <div *ngIf="dataItem.text == 'Download'" class="icon-wrapper">
                                    <mat-icon class="icon-class" (click)="downloadimage($event)">get_app</mat-icon>
                                    <div class="border-wrapper">
                                        <span class="icon-text-wrapper">Download</span>
                                    </div>
                                </div>

                                <div *ngIf="dataItem.text == 'Email'" class="icon-wrapper">
                                    <mat-icon class="icon-class" (click)="EmailTemplate($event)">
                                        mail_outline
                                    </mat-icon>
                                    <div class="border-wrapper">
                                        <span class="icon-text-wrapper">Email</span>
                                    </div>
                                </div>

                                <ng-container *appAccess="moduleName; lookFor: 'E'">
                                    <div *ngIf="dataItem.text == 'Lock / Unlock'" style="width: 100%;">
                                        <div *ngIf="dataItems.status == 1">
                                            <div class="icon-wrapper">
                                                <mat-icon class="icon-class" (click)="documentlockstatus($event)">
                                                    lock_open
                                                </mat-icon>
                                                <div class="border-wrapper">
                                                    <span class="icon-text-wrapper">Unlock</span>
                                                </div>
                                            </div>
                                        </div>

                                        <div *ngIf="dataItems.status == 0">
                                            <div class="icon-wrapper">
                                                <mat-icon class="icon-class" (click)="documentlockstatus($event)">
                                                    lock
                                                </mat-icon>
                                                <div class="border-wrapper">
                                                    <span class="icon-text-wrapper">Lock</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </ng-container>

                                <ng-container *appAccess="moduleName; lookFor: 'D'">
                                    <div *ngIf="dataItem.text == 'Delete'" class="icon-wrapper icon-bottom">
                                        <mat-icon class="icon-class" (click)="deletedocuments($event)">delete</mat-icon>
                                        <span class="icon-text-wrapper" style="margin-left: 5px;">Delete</span>
                                    </div>
                                </ng-container>
                            </ng-template>
                        </kendo-dropdownbutton>
                    </ng-template>
                </kendo-grid-column>
            </kendo-grid>
        </div>
        <div *ngIf="docShow" class="row application-data-centered">
            <div class="col-xl-12">
                <div class="grid-child">
                    <p><img src="../../../../../assets/Empty%20State.png"/></p>
                    <p>
                        <strong class="QUI_BOLD_20_28"> {{docTitle}}</strong>
                    </p>
                    <p>
                        {{docDescription}}
                    </p>
                    <p *appAccess="moduleName; lookFor: 'C'">
                        <strong *ngIf="categoryId !== 0">
                            <a href="javascript:void(0)" (click)="onClick()"> {{docRouteName}}</a>
                        </strong>
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="gauge"></div>
<kendo-dialog class="doc-upload-dialog" *ngIf="opened" (close)="close('cancel')" [height]="250" [width]="680">
    <div class="modalHeight">
        <div class="col-xl-12 p-0">
      <span class="QUI_BOLD_18_32 deletetext">
        Are you sure you want to delete?
      </span>
            <mat-divider class="mt-3"></mat-divider>
            <div class="modalClosebtn">
                <button mat-icon-button (click)="close()" aria-label="Close dialog">
                    <mat-icon>close</mat-icon>
                </button>
            </div>
        </div>
        <div class="deleteDescription">
            <p class="HEL_REG_16_22 mt-3">Deleted document can not be restored.</p>
        </div>
        <mat-divider class=""></mat-divider>

        <div class="text-right">
            <div class="paddingtop">
                <button mat-stroked-button class="mr-3 footer-btn-customize" color="accent" (click)="close()">
                    No
                </button>
                <button mat-raised-button color="accent" (click)="deleteconfirm('yes');" class="footer-btn-customize">
                    Yes
                </button>
            </div>
        </div>
    </div>
</kendo-dialog>
